跳至内容
ShopentlyLearn

删除 — 分类

从管理面板、店铺和搜索中移除没有子分类的分类。

DELETE/api/v1/categories/{category_id}

cURL 请求

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request DELETE \
  --url 'https://shop.onshopently.com/api/v1/categories/example?expected_version=1' \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: example-delete_category_api_v1_categories__category_id__delete'

响应

{
  "data": {
    "deleted": true,
    "id": "example",
    "version": null
  },
  "meta": {
    "request_id": "example"
  }
}

所需权限

身份验证
访问令牌
最低套餐
STANDARD
密钥权限
删除分类catalog.category:delete